Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.james.mime4j.descriptor
Interface RFC2183ContentDispositionDescriptor

All Known Implementing Classes:
  MaximalBodyDescriptor

    public interface RFC2183ContentDispositionDescriptor

Describes RFC2183 content disposition.

Method Summary
`DateTime` | `getContentDispositionCreationDate()` Gets the `creation-date` parameter value of the `content-disposition` field.
`MimeException` | `getContentDispositionCreationDateParseException()` Gets any exception thrown during the parsing of `getContentDispositionCreationDate()`
`java.lang.String` | `getContentDispositionFilename()` Gets the `filename` parameter value of the `content-disposition` field.
`DateTime` | `getContentDispositionModificationDate()` Gets the `modification-date` parameter value of the `content-disposition` field.
`MimeException` | `getContentDispositionModificationDateParseException()` Gets any exception thrown during the parsing of `getContentDispositionModificationDate()`
`java.util.Map` | `getContentDispositionParameters()` Gets the parameters of the `content-disposition` field.
`DateTime` | `getContentDispositionReadDate()` Gets the `read-date` parameter value of the `content-disposition` field.
`MimeException` | `getContentDispositionReadDateParseException()` Gets any exception thrown during the parsing of `getContentDispositionReadDate()`
`long` | `getContentDispositionSize()` Gets the `size` parameter value of the `content-disposition` field.
`MimeException` | `getContentDispositionSizeParseException()` Gets any exception thrown during the parsing of `getContentDispositionSize()`
`java.lang.String` | `getContentDispositionType()` Gets the disposition type of the `content-disposition` field.

Method Detail

### getContentDispositionType

    java.lang.String getContentDispositionType()

  Gets the disposition type of the `content-disposition` field. The value is case insensitive and will be converted to lower case. See RFC2183.

  Returns:
    content disposition type, or null when this has not been set

### getContentDispositionParameters

    java.util.Map getContentDispositionParameters()

  Gets the parameters of the `content-disposition` field. See RFC2183.

  Returns:
    parameter value strings indexed by parameter name strings, not null

### getContentDispositionFilename

    java.lang.String getContentDispositionFilename()

  Gets the `filename` parameter value of the `content-disposition` field. See RFC2183.

  Returns:
    filename parameter value, or null when it is not present

### getContentDispositionModificationDate

    DateTime getContentDispositionModificationDate()

  Gets the `modification-date` parameter value of the `content-disposition` field. See RFC2183.

  Returns:
    modification-date parameter value, or null when this is not present

### getContentDispositionModificationDateParseException

    MimeException getContentDispositionModificationDateParseException()

  Gets any exception thrown during the parsing of `getContentDispositionModificationDate()`

  Returns:
    `ParseException` when the modification-date parse fails, null otherwise

### getContentDispositionCreationDate

    DateTime getContentDispositionCreationDate()

  Gets the `creation-date` parameter value of the `content-disposition` field. See RFC2183.

  Returns:
    creation-date parameter value, or null when this is not present

### getContentDispositionCreationDateParseException

    MimeException getContentDispositionCreationDateParseException()

  Gets any exception thrown during the parsing of `getContentDispositionCreationDate()`

  Returns:
    `ParseException` when the creation-date parse fails, null otherwise

### getContentDispositionReadDate

    DateTime getContentDispositionReadDate()

  Gets the `read-date` parameter value of the `content-disposition` field. See RFC2183.

  Returns:
    read-date parameter value, or null when this is not present

### getContentDispositionReadDateParseException

    MimeException getContentDispositionReadDateParseException()

  Gets any exception thrown during the parsing of `getContentDispositionReadDate()`

  Returns:
    `ParseException` when the read-date parse fails, null otherwise

### getContentDispositionSize

    long getContentDispositionSize()

  Gets the `size` parameter value of the `content-disposition` field. See RFC2183.

  Returns:
    size parameter value, or -1 if this size has not been set

### getContentDispositionSizeParseException

    MimeException getContentDispositionSizeParseException()

  Gets any exception thrown during the parsing of `getContentDispositionSize()`

  Returns:
    `ParseException` when the read-date parse fails, null otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 The Apache Software Foundation. All Rights Reserved.